HsqldbJDBCAdapter (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.jdbc.adapter.HsqldbJDBCAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc.adapter
Class HsqldbJDBCAdapter

    java.lang.Object
      org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
          org.codehaus.activemq.store.jdbc.adapter.BytesJDBCAdapter
              org.codehaus.activemq.store.jdbc.adapter.HsqldbJDBCAdapter

All Implemented Interfaces:
  JDBCAdapter

public class HsqldbJDBCAdapter
extends BytesJDBCAdapter

Version:
  $Revision: 1.1 $

Nested Class Summary
`static class` | `HsqldbJDBCAdapter.HSQLStatementProvider`

Nested classes inherited from class org.codehaus.activemq.store.jdbc.JDBCAdapter
`JDBCAdapter.MessageListResultHandler`

Field Summary

Fields inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
`sequenceGenerator, statementProvider`

Constructor Summary
`HsqldbJDBCAdapter()`
`HsqldbJDBCAdapter(StatementProvider provider)`

Methods inherited from class org.codehaus.activemq.store.jdbc.adapter.BytesJDBCAdapter
`getBinaryData, setBinaryData`

Methods inherited from class org.codehaus.activemq.store.jdbc.adapter.DefaultJDBCAdapter
`doAddMessage, doAddXid, doCreateTables, doGetMessage, doGetSubscriberEntry, doGetXids, doLoadPreparedTransactions, doRecover, doRecoverSubscription, doRemoveMessage, doRemoveXid, doSetLastAck, doSetSubscriberEntry, getMessageSequenceId, getSequenceGenerator, initSequenceGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HsqldbJDBCAdapter

    public HsqldbJDBCAdapter()

### HsqldbJDBCAdapter

    public HsqldbJDBCAdapter(StatementProvider provider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.